# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2019-11-18 23:32
from __future__ import unicode_literals

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('customers', '0003_auto_20191118_2029'),
    ]

    sql = """
    CREATE VIEW customers_durationrecord AS select distinct on (id) id, age(ending, beginning) as duration from (select id, first_value(history_date) over (partition by id) as beginning, CASE WHEN last_value(status) over (partition by id)!=2 THEN now() ELSE last_value(history_date) over (partition by id) END as ending from (select * from (select id, history_date, status, lag(status) OVER(PARTITION BY id) as prev_status from customers_historicalservice order by history_id) L where status <> prev_status and (status = 1 OR status = 2)) FL) FL2
    """

    operations = [
        migrations.RunSQL("DROP VIEW IF EXISTS customers_durationrecord"),
        migrations.RunSQL(sql)
    ]
